Devuan bug report logs - #152
love must be package in each versioned,not only one version

Package: love; Reported by: PICCORO McKAY Lenz <mckaygerhard@gmail.com>; Keywords: ascii; dated Tue, 17 Oct 2017 17:18:02 UTC; Maintainer for love is (unknown).
Tags added: ascii Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. Full text available.

Message received at submit@bugs.devuan.org:


Received: (at submit) by bugs.devuan.org; 17 Oct 2017 17:10:05 +0000
Return-Path: <mckaygerhard@gmail.com>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Tue, 17 Oct 2017 19:10:05 +0200 (CEST)
Received: from mail-it0-f51.google.com (mail-it0-f51.google.com [209.85.214.51])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 8126FB824FB
	for <submit@bugs.devuan.org>; Tue, 17 Oct 2017 19:01:02 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gmail.com header.i=@gmail.com header.b="W0KZORMg";
	dkim-atps=neutral
Received: by mail-it0-f51.google.com with SMTP id k70so6123652itk.0
        for <submit@bugs.devuan.org>; Tue, 17 Oct 2017 10:00:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=mime-version:from:date:message-id:subject:to;
        bh=Wbox6aVk1TfKjrBGjzto1aU2pKBuGF7MEbctMIcr9hE=;
        b=W0KZORMgoL9Ir/CuZy+RzXVtC/xDZKIPO0zm98/tkfX3KhSFO2A/J/6LdhryT0XSx7
         Kgb9K0lsIuRNRAbteBYO0ZKEsYaHtS2WJz4uutM+NzVLKT4nDS2Y8NAVRF64/gttLNWf
         WgxVl0ni/QCw+I4hdm2kwfTml2b0AGsgGJwy3hr8eFXASs76q2fU3sbzqLuHidEaf8y5
         stl6Pd0v33+ko0gFsm5IEbz0E+OmA6GKEL77qX9m+hcxakcwaIbYiDjkTRmy4oCsipZ1
         jtLFIaLHYahkSJV49G7DRSnEN6hsJ6vJuag5hgGiBn71VvvnGXXi8DTrJHNeqweznQh7
         0ffg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
        bh=Wbox6aVk1TfKjrBGjzto1aU2pKBuGF7MEbctMIcr9hE=;
        b=fNUAKy6g1VSAAjfE8BKQCUsLit/RlKOkL5QTGBEmspYxeEFlTJBTaKl2zB3IBxoKKW
         EaPQtbJs/gxL3LQK93bZodbnxwtXGYOXksO/GyyWErITpLPAIniFGfGu1EXt93DjRsq8
         np+qoeN2EwxJagDd59hGw7g7TwGv+LzDnBbRNUFQR41cr2lGdSqcqeZMpNMoQaGmHTaS
         3KdlLksAEzh+bz/rk9+NvKIWlVkWq90uCbgwgIlorZO8XtIUFeLb7M7CGTpG9ktGtO+W
         YZEqkRj/u9yOFDHgYrh8Z06q6BxHZqbZAbnAOhr3XZzJc0+soq0w1zgm5VdsIHaJ/oYN
         hTKA==
X-Gm-Message-State: AMCzsaW0OXQRS7gxitHVoSUSCz/wJGPQ2sMZstcYHUPCdXOK/iiCHc7n
	bD43NPvjFpaFfEnBrmjBG4OhPbtfqmYwCNd0uZ7EAA==
X-Google-Smtp-Source: ABhQp+RwU9XpBAox1P2CsH9vdA2hy1eMfgtaQk5Lhk++r00sBv7rPJmHPRBUYgmtwV3xhMwOkLSbOibBoECU0h7TwnY=
X-Received: by 10.36.82.204 with SMTP id d195mr5902634itb.23.1508259650676;
 Tue, 17 Oct 2017 10:00:50 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.107.132.208 with HTTP; Tue, 17 Oct 2017 10:00:50 -0700 (PDT)
From: PICCORO McKAY Lenz <mckaygerhard@gmail.com>
Date: Tue, 17 Oct 2017 13:00:50 -0400
Message-ID: <CALci+FQ6E6MauYZwZRxwTrS50-Lor93_GpUsUnhpZhJTFBKURg@mail.gmail.com>
Subject: love must be package in each versioned,not only one version
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Status: No, score=-0.1 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,RCVD_IN_MSPIKE_H3,
	RCVD_IN_MSPIKE_WL,SPF_PASS autolearn=ham autolearn_force=no version=3.4.1
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org

Package: love
Version: 0.9.1-4
Severity: important

every new mayor release of love, the compatibility are breack with old ..

so installed games in system comes unusable!

in conclusion: love engine in debian are not so used! so packaging
seem are waste of time and resources if are no useless for the users

so then, love must be offered in versioned! so  even a only one
package "love", we must provide "love09" and/or "love10" for love
0.9.X and 0.10.X

It's been many years since LOVE 0.9.X was released,

and it's already on version 0.10.2, which is not fully compatible with 0.9.=
x.

so if some user have a game with 0.9 working, and updated, the game
will not work without reason event the user are a expert..

as example, golang are packaged in this way.. versioned!

i'm mading my own work in venenux repository.. maybe need to track those ch=
anges

Lenz McKAY Gerardo (PICCORO)
http://qgqlochekone.blogspot.com


Acknowledgement sent to PICCORO McKAY Lenz <mckaygerhard@gmail.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org.

Your message specified a Severity: in the pseudo-header, but the severity value important was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, normal, minor, wishlist.

Full text available.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#152; Package love. Full text available.

Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sun, 27 Sep 2020 12:39:02 UTC